# BillboardVisualizer

#### new Cesium.BillboardVisualizer(entityCluster, entityCollection)
DataSources/BillboardVisualizer.js 70

A `Visualizer` which maps `Entity#billboard` to a `Billboard`.

Name | Type | Description
--- | --- | ---
`entityCluster` | EntityCluster | The entity cluster to manage the collection of billboards and optionally cluster with other entities.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/BillboardVisualizer.js 219

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/BillboardVisualizer.js 212

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/BillboardVisualizer.js 95

Updates the primitives created by this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.